curl --request POST \
--url https://api-dev.narrative.io/datasets/{dataset_id}/request-sample \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compute_pool_id": "a81e1460-fbdc-4204-bd76-a9e496bf760d"
}
'{
"job_id": "a81e1460-fbdc-4204-bd76-a9e496bf760d"
}Request a dataset sample job with pre-compiled SQL (for non-Narrative Data Planes only)
curl --request POST \
--url https://api-dev.narrative.io/datasets/{dataset_id}/request-sample \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compute_pool_id": "a81e1460-fbdc-4204-bd76-a9e496bf760d"
}
'{
"job_id": "a81e1460-fbdc-4204-bd76-a9e496bf760d"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier for a dataset.
Optional configuration for the sample job
The compute pool to run the sample job on. If not specified, defaults to the dataset's configured compute pool, then to the data plane's default compute pool.
OK
The id of the job that has been enqueued.
Was this page helpful?